DPKG-DIVERT(8)

NOM
dpkg-divert -- remplacer la version d'un fichier contenu dans un paquet.

SYNOPSIS
dpkg-divert [options] [--add] <fichier>
dpkg-divert [options] --remove <fichier>
dpkg-divert [options] --list <glob-pattern>
dpkg-divert [options] --truename <fichier>

DESCRIPTION
La « déviation » de fichier est un moyen d'obliger dpkg à installer un fichier non pas dans l'emplacement prévu mais dans un autre. Les scripts des paquets Debian se servent de la déviation pour déplacer les fichiers qui créent des conflits. Les administrateurs s'en servent, lors de l'installation d'une version plus récente d'un paquet, pour remplacer les fichiers de configuration de certains paquets, ou bien à chaque fois que des fichiers (qui ne sont pas des « conffiles ») ont besoin d'être préservés par Dpkg.

dpkg-divert est le programme qu'on utilise pour créer et mettre à jour la liste des déviations. Il possède trois modes élémentaires -- l'ajout, la suppression et le listage de déviation. Les options sont respectivement --add, --remove, et --list. De plus, il peut afficher le vrai nom d'un fichier dévié. On peut indiquer d'autres options (voyez la liste ci-dessous).

OPTIONS

--admindir <répertoire>
    Définit le répertoire de données de Dpkg comme <répertoire> (par défaut c'est /var/lib/dpkg).

--divert <dévier-dans>
    <dévier-dans> est le nom utilisé pour les autres versions des paquets.

--help
    Affiche la version, quelques instructions d'aide, et se termine normalement.

--local
    Indique que toutes les versions des paquets sont déviées.

--package <paquet>
    <paquet> est le nom du paquet dont l'exemplaire de <fichier> ne sera pas dévié.

--quiet
    Mode silencieux, i.e. pas d'affichage loquace.

--rename
    Met en fait le fichier de côté. Quand le fichier de destination existe, dpkg-divert interrompt l'opération.

--test
    Mode de test, i.e. ne rien modifier réellement, seulement montrer.

--version
    Affiche le nom du programme et sa version puis se termine normalement.

NOTES
Pour l'ajout, le défaut est --local et --divert <original>.distrib. Pour la suppression, --package ou --local et --divert doivent correspondre quand ils sont précisés.
On ne peut pas dévier des répertoires avec dpkg-divert.

FICHIERS

/var/lib/dpkg/diversions
    Ce fichier contient la liste actuelle des diversions en oeuvre sur le système. Il se trouve dans le répertoire d'administration de Dpkg, avec d'autres fichiers importants comme « status » ou « available ».
    Note: dpkg-divert préserve l'ancienne copie de ce fichier, avec l'extension « -old », avant de la remplacer par la nouvelle.

VOYEZ AUSSI
dpkg(8).

Lisez le « Debian Packaging Manual », section 11., « Diversions - overriding a package's version of a file » pour plus de renseignements.

AUTEUR
Copyright (C) 1995 Ian Jackson.

C'est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

TRADUCTION
Philippe Batailler, Jan 2001.